## munin 2.0.25

=== Makefile ===
# -*- makefile -*-
#
# Gnu make only.  Seriously.
#
# $Id$

# Defaults/paths. Allows $(CONFIG) to be overrided by
# make command line
DEFAULTS = Makefile.config
CONFIG = Makefile.config

include $(DEFAULTS)
include $(CONFIG)

ifeq ($(JCVALID),yes)
JAVA_BUILD=build-plugins-java
JAVA_INSTALL=install-plugins-java
JAVA_PLUGINS=plugins/node.d.java/*
endif

RELEASE          := $(shell $(CURDIR)/getversion)
INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
INSTALL          := ./install-sh
DIR              := $(shell /bin/pwd | sed 's/^.*\///')
INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
PLUGINS		 := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/* $(JAVA_PLUGINS))
MANCENTER        := "Munin Documentation"
MAN8		 := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph
PODMAN8          := build/master/doc/munin-cron master/doc/munin master/doc/munin-check
PODMAN5          := build/master/doc/munin.conf node/doc/munin-node.conf

.PHONY: install install-pre install-master-prime install-node-prime install-node-pre install-common-prime install-doc install-man \
        build build-common-prime build-common-pre build-doc \
        source_dist \
        test clean \
        clean-% test-% build-% install-% \
	tags \
	infiles

.SECONDARY: node/Build master/Build plugins/Build

.SUFFIXES: .java .class

# This HAS to be the 1st rule
default: build

.java.class:
	$(JC) -sourcepath plugins/javalib -d build/plugins/javalib $(JFLAGS) plugins/javalib/$(subst plugins/javalib/,,$*.java)

uninstall:
	echo "Uninstall is not implemented yet"

# This removes the installed config so that the next install-pass installs
# a new config.  Target _only_ suitable for maintainers.
unconfig:
	rm -f $(HTMLDIR)/.htaccess
	rm -f $(CONFDIR)/munin.conf

tags:
	-rm -f TAGS
	find master common -type f | egrep -v '/(build/|_build/|blib/|\.svn/)' | grep -v '\.t$$' | fgrep -v '~' | xargs etags -l perl -a

######################################################################

install: install-master-prime install-common-prime install-node-prime install-plugins-prime $(JAVA_INSTALL) install-man install-async-prime

install-pre: Makefile Makefile.config
	@$(CHECKUSER)
	mkdir -p $(LOGDIR)
	mkdir -p $(STATEDIR)
	mkdir -p $(SPOOLDIR)
	mkdir -p $(CONFDIR)
	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)

install-master-prime: $(INFILES_MASTER) install-pre install-master
	mkdir -p $(CONFDIR)/templates
	mkdir -p $(CONFDIR)/static
	mkdir -p $(CONFDIR)/templates/partial
	mkdir -p $(CONFDIR)/munin-conf.d
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(PERLLIB)
	mkdir -p $(PERLLIB)/Munin/Master
	mkdir -p $(HTMLDIR)
	mkdir -p $(DBDIR)
	mkdir -p $(DBDIR)/cgi-tmp
	mkdir -p $(CGIDIR)

	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
	$(CHMOD) 0755 $(DBDIR)

	$(CHOWN) $(CGIUSER) $(DBDIR)/cgi-tmp
	$(CHMOD) 0755 $(DBDIR)/cgi-tmp

	for p in master/www/*.tmpl ;  do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
	done

	for p in master/static/* ; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/static/ ; \
	done

	for p in master/www/partial/*.tmpl; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/partial/ ; \
	done

	$(INSTALL) -m 0644 master/DejaVuSansMono.ttf $(LIBDIR)/
	$(INSTALL) -m 0644 master/DejaVuSans.ttf $(LIBDIR)/

	test -f $(HTMLDIR)/.htaccess || $(INSTALL) -m 0644 build/master/www/munin-htaccess $(HTMLDIR)/.htaccess
	test -f "$(CONFDIR)/munin.conf"  || $(INSTALL) -m 0644 build/master/munin.conf $(CONFDIR)/

	$(INSTALL) -m 0755 build/master/_bin/munin-cron $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-check $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-update $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-html $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-graph $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-limits $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-datafile2storable $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-storable2datafile $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html

# Not ready to be installed yet
# $(INSTALL) -m 0755 build/master/_bin/munin-gather $(LIBDIR)/

# ALWAYS DO THE OS SPECIFIC PLUGINS LAST! THAT WAY THEY OVERWRITE THE
# GENERIC ONES

install-node-plugins: install-plugins-prime

# Some HP-UX plugins needs *.adv support files in LIBDIR
ifneq ($(OSTYPE),hp-ux)
HPUXONLY=true ||
endif

install-plugins-prime: install-plugins build $(PLUGINS) Makefile Makefile.config
	@$(CHECKGROUP)

	mkdir -p $(CONFDIR)/plugins
	mkdir -p $(CONFDIR)/plugin-conf.d
	mkdir -p $(LIBDIR)/plugins
	mkdir -p $(PLUGSTATE)

	$(CHOWN) root:root $(PLUGSTATE)
	$(CHMOD) 0755 $(PLUGSTATE)
	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d

	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
	    if test -f "$$p" ; then                            \
		echo Installing $$p;                           \
		$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/;     \
	    fi                                                 \
	done
	$(HPUXONLY) mv $(LIBDIR)/plugins/*.adv $(LIBDIR)
	$(INSTALL) -m 0644 build/plugins/plugins.history $(LIBDIR)/plugins/
	$(INSTALL) -m 0644 build/plugins/plugin.sh $(LIBDIR)/plugins/

install-plugins-java: build-plugins-java
	mkdir -p $(JAVALIBDIR)
	$(INSTALL) -m 0644 build/plugins/javalib/munin-jmx-plugins.jar $(JAVALIBDIR)/
	mkdir -p $(LIBDIR)/plugins
	for p in build/plugins/node.d.java/*; do               \
	    if test -f "$$p" ; then                            \
		echo Installing $$p;                           \
		$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/;     \
	    fi                                                 \
	done

#TODO:
# configure plugins.  Or not. Better done under the direction of the installer
# or the packager.

install-async-prime: install-async

install-async:
	mkdir -p $(LIBDIR)
	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/

install-node-prime: install-node-pre install-node

install-node-pre: build/node/munin-node.conf install-pre
	test -f "$(CONFDIR)/munin-node.conf" || $(INSTALL) -m 0644 build/node/munin-node.conf $(CONFDIR)/


install-common-prime: build-common install-common


install-man: build-man Makefile Makefile.config
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man5 $(MANDIR)/man8
	$(INSTALL) -m 0644 build/doc/munin-node.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin-update.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-limits.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-graph.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-html.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-cron.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-check.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin.8 $(MANDIR)/man8/


install-doc: build-doc
	mkdir -p $(DOCDIR)/resources
	$(INSTALL) -m 0644 README $(DOCDIR)/
	$(INSTALL) -m 0644 COPYING $(DOCDIR)/
	$(INSTALL) -m 0644 build/resources/* $(DOCDIR)/resources

######################################################################

# Dummy rule to enable parallel building
infiles: $(INFILES)

build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man substitute-confvar-inline

build/%: %.in
	@echo "$< -> $@"
	@mkdir -p build/`dirname $<`
	@sed -e 's|@@PREFIX@@|$(PREFIX)|g'                      \
             -e 's|@@CONFDIR@@|$(CONFDIR)|g'                    \
             -e 's|@@BINDIR@@|$(BINDIR)|g'                      \
             -e 's|@@SBINDIR@@|$(SBINDIR)|g'                    \
             -e 's|@@DOCDIR@@|$(DOCDIR)|g'                      \
             -e 's|@@LIBDIR@@|$(LIBDIR)|g'                      \
             -e 's|@@MANDIR@@|$(MANDIR)|g'                      \
             -e 's|@@LOGDIR@@|$(LOGDIR)|g'                      \
             -e 's|@@HTMLDIR@@|$(HTMLDIR)|g'                    \
             -e 's|@@DBDIR@@|$(DBDIR)|g'                        \
             -e 's|@@STATEDIR@@|$(STATEDIR)|g'                  \
	     -e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g'                  \
             -e 's|@@PERL@@|$(PERL)|g'                          \
             -e 's|@@PERLLIB@@|$(PERLLIB)|g'                    \
             -e 's|@@PYTHON@@|$(PYTHON)|g'                      \
             -e 's|@@RUBY@@|$(RUBY)|g'                          \
             -e 's|@@JAVARUN@@|$(JAVARUN)|g'                    \
             -e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g'              \
             -e 's|@@OSTYPE@@|$(OSTYPE)|g'                      \
             -e 's|@@HOSTNAME@@|$(HOSTNAME)|g'                  \
             -e 's|@@MKTEMP@@|$(MKTEMP)|g'                      \
             -e 's|@@VERSION@@|$(VERSION)|g'                    \
             -e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g'                \
             -e 's|@@CGIDIR@@|$(CGIDIR)|g'                      \
             -e 's|@@USER@@|$(USER)|g'                          \
             -e 's|@@GROUP@@|$(GROUP)|g'                        \
             -e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g'              \
             -e 's|@@GOODSH@@|$(GOODSH)|g'                      \
             -e 's|@@BASH@@|$(BASH)|g'                          \
             -e 's|@@HASSETR@@|$(HASSETR)|g'                    \
             $< > $@;


build-common-prime: build-common-pre common/blib/lib/Munin/Common/Defaults.pm build-common

substitute-confvar-inline:
	@perl -p -i -e 's|\@\@PREFIX\@\@|$(PREFIX)|g;'               \
             -e 's|\@\@CONFDIR\@\@|$(CONFDIR)|g;'                    \
             -e 's|\@\@BINDIR\@\@|$(BINDIR)|g;'                      \
             -e 's|\@\@SBINDIR\@\@|$(SBINDIR)|g;'                    \
             -e 's|\@\@DOCDIR\@\@|$(DOCDIR)|g;'                      \
             -e 's|\@\@LIBDIR\@\@|$(LIBDIR)|g;'                      \
             -e 's|\@\@MANDIR\@\@|$(MANDIR)|g;'                      \
             -e 's|\@\@LOGDIR\@\@|$(LOGDIR)|g;'                      \
             -e 's|\@\@HTMLDIR\@\@|$(HTMLDIR)|g;'                    \
             -e 's|\@\@DBDIR\@\@|$(DBDIR)|g;'                        \
             -e 's|\@\@STATEDIR\@\@|$(STATEDIR)|g;'                  \
             -e 's|\@\@SPOOLDIR\@\@|$(SPOOLDIR)|g;'                  \
             -e 's|\@\@PERL\@\@|$(PERL)|g;'                          \
             -e 's|\@\@PERLLIB\@\@|$(PERLLIB)|g;'                    \
             -e 's|\@\@PYTHON\@\@|$(PYTHON)|g;'                      \
             -e 's|\@\@RUBY\@\@|$(RUBY)|g;'                          \
             -e 's|\@\@JAVARUN\@\@|$(JAVARUN)|g;'                    \
             -e 's|\@\@JAVALIBDIR\@\@|$(JAVALIBDIR)|g;'              \
             -e 's|\@\@OSTYPE\@\@|$(OSTYPE)|g;'                      \
             -e 's|\@\@HOSTNAME\@\@|$(HOSTNAME)|g;'                  \
             -e 's|\@\@MKTEMP\@\@|$(MKTEMP)|g;'                      \
             -e 's|\@\@VERSION\@\@|$(VERSION)|g;'                    \
             -e 's|\@\@PLUGSTATE\@\@|$(PLUGSTATE)|g;'                \
             -e 's|\@\@CGIDIR\@\@|$(CGIDIR)|g;'                      \
             -e 's|\@\@USER\@\@|$(USER)|g;'                          \
             -e 's|\@\@GROUP\@\@|$(GROUP)|g;'                        \
             -e 's|\@\@PLUGINUSER\@\@|$(PLUGINUSER)|g;'              \
             -e 's|\@\@GOODSH\@\@|$(GOODSH)|g;'                      \
             -e 's|\@\@BASH\@\@|$(BASH)|g;'                          \
             -e 's|\@\@HASSETR\@\@|$(HASSETR)|g;'                    \
             ./master/blib/libdoc/Munin::Master::HTMLOld.3pm    \

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Munin.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Munin.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Munin"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Munin"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== dists/sunos/Makefile ===

BASE     = /
VENDOR	 = munin-monitoring.org

PKGNAME  = munin

PREFIX   = $(BASE)/$(PKGNAME)
SUBST    = $(PREFIX)

VERSION	 = $(shell cat ../../RELEASE)
DIST     = ../../../$(PKGNAME)_$(VERSION).tar.gz
#BUILD    = $(PKGNAME)-$(VERSION)
BUILD    = ../../
OSTYPE	 = $(shell uname -p)

PATH    := "/opt/SUNWspro/bin/:/usr/bin:/bin:/usr/local/bin:/usr/ccs/bin/"

DESTDIR := dists/sunos/install/dist/

all: $(PKGNAME)-$(VERSION)-$(OSTYPE).pkg $(PKGNAME)-node-$(VERSION)-$(OSTYPE).pkg

clean: 
	rm -rf pkginfo build-stamp install install-stamp main node configure-stamp
	cd $(BUILD); make clean

#$(BUILD)/configure: $(DIST)
#	gunzip -c $(DIST) | (tar -xf - && touch $(BUILD)/configure)

#configure-stamp: $(BUILD)/configure
#	touch configure-stamp

#build-stamp: $(BUILD)/configure
#	cd $(BUILD) ;\
#	PATH=$(PATH) make build build-doc build-man && touch build-stamp

build-stamp:
	cd $(BUILD) ;\
	PATH=$(PATH) make build build-doc build-man && touch dists/sunos/build-stamp

install-stamp: build-stamp
	mkdir -p install/dist/node install/dist/main
	cd $(BUILD) ;\
	make prefix="" DESTDIR=$(DESTDIR)/node/ CHECKUSER="echo Skipping user check" CHECKGROUP="echo Skipping group check" CHOWN=/bin/true CHGRP=/bin/true install-node install-node-plugins
	-cd $(BUILD) ;\
	make prefix="" DESTDIR=$(DESTDIR)/node CHECKUSER="echo Skipping user check" CHECKGROUP="echo Skipping group check" CHOWN=/bin/true CHGRP=/bin/true  install-doc install-man
	cd $(BUILD) ;\
	make prefix="" DESTDIR=$(DESTDIR)/main CHECKUSER="echo Skipping user check" CHECKGROUP="echo Skipping group check" CHOWN=/bin/true CHGRP=/bin/true install-main
	-cd $(BUILD) ;\
	make prefix="" DESTDIR=$(DESTDIR)/main CHECKUSER="echo Skipping user check" CHECKGROUP="echo Skipping group check" CHOWN=/bin/true CHGRP=/bin/true  install-doc install-man
	touch install-stamp

pkginfo: $(DIST) main/pkginfo node/pkginfo
	echo "Generated pkginfo files."

node/pkginfo: $(DIST)
	-mkdir node
	for f in pkginfo depend compver space request checkinstall \
		preinstall postinstall preremove postremove; do \
		test -r $(PWD)/$$f.node && cp $(PWD)/$$f.node $(PWD)/node/$$f; \
	done ;\
	(echo "# Generated file, do not edit"; \
	echo "PKG=$(PKGNAME)-node"; \
	echo "NAME=$(PKGNAME)-node"; \
	echo "OSTYPE=$(OSTYPE)"; \
	echo "VERSION=$(VERSION)"; \
	echo "CATEGORY=application"; \
	echo "VENDOR=$(VENDOR)"; \
	echo "EMAIL=jimmyo@users.sf.net"; \
	echo "PSTAMP="`getent passwd $(USER) | cut -d: -f5`; \
	echo "BASEDIR=$(BASE)"; \
	echo "CLASSES=none") > $@

main/pkginfo: $(DIST)
	-mkdir main
	for f in pkginfo depend compver space request checkinstall \
		preinstall postinstall preremove postremove; do \
		test -r $(PWD)/$$f.main && cp $(PWD)/$$f.main $(PWD)/main/$$f; \
	done ;\
	(echo "# Generated file, do not edit"; \
	echo "PKG=$(PKGNAME)"; \
	echo "NAME=$(PKGNAME)"; \
	echo "OSTYPE=$(OSTYPE)"; \
	echo "VERSION=$(VERSION)"; \
	echo "CATEGORY=application"; \
	echo "VENDOR=$(VENDOR)"; \
	echo "EMAIL=jimmyo@users.sf.net"; \
	echo "PSTAMP="`getent passwd $(USER) | cut -d: -f5`; \
	echo "BASEDIR=$(BASE)"; \
	echo "CLASSES=none") > $@

install/prototype: install-stamp install/node-prototype install/main-prototype
	echo "Prototypes generated."

install/node-prototype: install-stamp
	for f in pkginfo depend compver space request checkinstall \
		preinstall postinstall preremove postremove; do \
		test -r $(PWD)/node/$$f && echo "i $$f=$(PWD)/node/$$f" || true; done \
		> install/node-prototype
	cd install; pkgproto ../install/dist/node=  \
	| awk ' { $$5="root"; $$6="sys"; } \
		{ print; }' |\
		sed \
		  -e 's|var/opt/munin 0755 root sys|var/opt/munin 0775 root munin|' \
		  -e 's|var/log/munin 0755 root sys|var/log/munin 0775 root munin|' \
		  -e 's|var/run/munin 0755 root sys|var/run/munin 0775 root munin|' \
		>> ../install/node-prototype

install/main-prototype: install-stamp
	for f in pkginfo depend compver space request checkinstall \
		preinstall postinstall preremove postremove; do \
		test -r $(PWD)/main/$$f && echo "i $$f=$(PWD)/main/$$f" || true; done \
		> install/main-prototype
	cd install; pkgproto ../install/dist/main= \
	| awk ' { $$5="root"; $$6="sys"; } \
		{ print; }' |\
		sed \
		  -e 's|var/opt/munin 0755 root sys$$|var/opt/munin 0775 munin munin|' \
		  -e 's|var/log/munin 0755 root sys$$|var/log/munin 0775 munin munin|' \
		  -e 's|var/run/munin 0755 root sys$$|var/run/munin 0775 munin munin|' >> ../install/main-prototype

install/$(PKGNAME): pkginfo install/main-prototype
	cd install; rm prototype || true; ln -s main-prototype prototype; pkgmk -d .

install/$(PKGNAME)-node: pkginfo install/node-prototype
	cd install; rm prototype || true; ln -s node-prototype prototype; pkgmk -d .

$(PKGNAME)-$(VERSION)-$(OSTYPE).pkg: install/$(PKGNAME)
	pkgtrans `pwd`/install $@ $(PKGNAME)
	mv install/$(PKGNAME)-$(VERSION)-$(OSTYPE).pkg .

$(PKGNAME)-node-$(VERSION)-$(OSTYPE).pkg: install/$(PKGNAME)-node
	pkgtrans `pwd`/install $@ $(PKGNAME)-node
	mv install/$(PKGNAME)-node-$(VERSION)-$(OSTYPE).pkg .

=== common/t/tls/Makefile ===

.PHONY: all clean

all:
	mkdir CA
	mkdir CA/newcerts CA/private 
	touch CA/index.txt
	echo '01' > CA/serial
	openssl req -new -nodes -x509 -extensions v3_ca -keyout CA/private/ca_key.pem -out CA/ca_cert.pem -days 3650 -config ./openssl.cnf
	openssl req -new -nodes -keyout node_key.pem -out node_req.pem -config ./openssl.cnf
	openssl req -new -nodes -keyout master_key.pem -out master_req.pem -config ./openssl.cnf
	yes | openssl ca -out node_cert.pem -in node_req.pem -config ./openssl.cnf -days 3650
	yes | openssl ca -out master_cert.pem -in master_req.pem -config ./openssl.cnf -days 3650

clean:
	rm -r CA
	rm *.pem

=== dists/freebsd/munin-node/Makefile ===
# New ports collection makefile for:	munin-node
# Date created:				25 Januar 2004
# Whom:					Lupe Christoph <lupe@lupe-christoph.de>
#
# $FreeBSD: ports/sysutils/munin-node/Makefile,v 1.12 2004/12/14 01:43:10 sem Exp $
#

PORTNAME=	munin
PORTVERSION=	1.2.2
CATEGORIES=	sysutils perl5
MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
MASTER_SITE_SUBDIR=	munin
PKGNAMESUFFIX=	-node
DISTNAME=	${PORTNAME}_${PORTVERSION:S/.r/rc/}

MAINTAINER=	lupe@lupe-christoph.de
COMMENT=	Node-specific part of Munin

RUN_DEPENDS=	${SITE_PERL}/Net/Server/Fork.pm:${PORTSDIR}/net/p5-Net-Server
BUILD_DEPENDS=	${RUN_DEPENDS}

.include <bsd.port.pre.mk>

.if ${OSVERSION} < 500000
RUN_DEPENDS=	${LOCALBASE}/etc/rc.subr:${PORTSDIR}/sysutils/rc_subr
.endif

.if ${PERL_LEVEL} < 500800
RUN_DEPENDS+=	${SITE_PERL}/Net/Domain.pm:${PORTSDIR}/net/p5-Net
.endif

USE_GMAKE=	yes
PATCH_STRIP=	-p1
WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.r/rc/}
PKGMESSAGE=	${WRKDIR}/pkg-message
ALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} build build-man
INSTALL_TARGET=	DATADIR=${DATADIR} PERL=${PERL} INSTALL_PLUGINS="auto manual snmpauto" install-node install-node-plugins
MAKE_ENV=	LANG=C

MAN5=		munin-node.conf.5
MAN8=		munin-node-configure.8 munin-node.8 munin-run.8

SUB_FILES=	pkg-message munin-node.sh munin-node-revive.sh
SUB_LIST=	RC_SUBR=${RC_SUBR}
USE_RC_SUBR=	YES

pre-install:
	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} PRE-INSTALL

post-install:
	${INSTALL_SCRIPT} ${WRKDIR}/munin-node.sh ${PREFIX}/etc/rc.d/munin-node.sh
.if ${PERL_LEVEL} < 500800
	${INSTALL_SCRIPT} ${WRKDIR}/munin-node-revive.sh ${PREFIX}/bin/munin-node-revive
.endif
	${INSTALL_DATA} ${WRKSRC}/build/node/munin-node.conf ${PREFIX}/etc/munin/munin-node.conf.sample
	${INSTALL_DATA} files/plugins.conf ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample
	@if [ ! -f ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf ]; then \
		${INSTALL_DATA} ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf.sample ${PREFIX}/etc/munin/plugin-conf.d/plugins.conf; \
	fi
	@${CAT} ${PKGMESSAGE}
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node.conf.5 ${PREFIX}/man/man5
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node-configure.8 ${PREFIX}/man/man8
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-node.8 ${PREFIX}/man/man8
	@${INSTALL_MAN} -C ${WRKSRC}/build/doc/munin-run.8 ${PREFIX}/man/man8
	@PKG_PREFIX=${PREFIX} ${SH} pkg-install ${PKGNAME} POST-INSTALL
	@${ECHO} ${DISTNAME} | ${SED} -e 's/munin_//' > ${PREFIX}/etc/munin/VERSION.node

.include <bsd.port.post.mk>

=== debian/changelog ===
munin (2.0.25-2) unstable; urgency=medium

  [ Holger Levsen ]
  * munin-async.README.Debian: Fix two typos, thanks to Francois Gouget.
    (Closes: #767861)

  [ gregor herrmann ]
  * [be02507] Fix "FTBFS with perl 5.22 (Module::Build)":

  [ Stig Sandbeck Mathisen ]
  * [bd20b96] Import RELEASE from upstream tarball (fix bad merge)
  * [a14bbe5] Remove obsolete depedency perl-modules | libparse-recdescent-perl.
    Thanks to gregor herrmann (Closes: #797081)
  * [d947b2f] Do not purge directories potentially owned by other packages.
    Thanks to Andreas Beckmann (Closes: #793864)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 30 Aug 2015 10:07:21 +0200

munin (2.0.25-1) unstable; urgency=medium

  * New upstream bugfix release, see upstream ChangeLog for full list of
    changes. (Closes: #769415, #770745, #770746, #770826, #767017).
  * munin.README.Debian: Replace link to
    http://munin-monitoring.org/wiki/Documentation with one to the new
    http://guide.munin-monitoring.org/ which is better structured and also
    translated.

 -- Holger Levsen <holger@debian.org>  Thu, 27 Nov 2014 20:51:49 +0100

munin (2.0.24-1) unstable; urgency=medium

  * Ensure consistent use of /etc/default/munin-node (Closes: #764594)
  * Add documentation links to systemd services
  * Fix the "apt_all update" cron job (Closes: 761366)
  * Declare compliance with Debian policy 3.9.6
  * Imported upstream release 2.0.24

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 26 Oct 2014 16:24:12 +0100

munin (2.0.23-1) unstable; urgency=medium

  * New upstream release. This time including commit 9fabbe7 which is the
    bugfix for Perl 5.20 and CGI. (Closes: #762796)

 -- Holger Levsen <holger@debian.org>  Fri, 17 Oct 2014 11:09:40 +0200

munin (2.0.22-1) unstable; urgency=low

  [ Holger Levsen ]
  * New upstream release, stable bugfix release supporting Perl 5.20.
    (Closes: #675318, #711465, #750954, #751190, #753506, #761841, #762904)
  * debian/control:
    - Add alternative depends on ttf-dejavu to ease backports to wheezy.
    - Add suggests to libnet-dns-perl to munin-plugins-core. (Closes: #705260)
    - Move suggests to libcache-cache-perl and libdbd-mysql-perl from munin-node
      to munin-plugins-extra. (Closes: #698078)

  [ Stig Sandbeck Mathisen ]
  * Depend on virtual package "cron-daemon" instead of "cron" (Closes: #760272)

 -- Holger Levsen <holger@debian.org>  Fri, 17 Oct 2014 00:46:31 +0200

=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Munin Debian Maintainers <packaging@munin-monitoring.org>
Uploaders: Holger Levsen <holger@debian.org>, 
 Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep:
 default-jdk,
 html2text,
 htmldoc,
 perl,
Build-Depends:
 debhelper (>=8),
 dh-systemd (>= 1.4),
 libmodule-build-perl,
Standards-Version: 3.9.6
Homepage: http://munin-monitoring.org
Vcs-Git: git://anonscm.debian.org/collab-maint/munin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/munin.git
Testsuite: autopkgtest

Package: munin-node
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 gawk,
 libnet-server-perl,
 lsb-base (>= 3.2-4),
 munin-common (>= ${binary:Version}),
 munin-plugins-core,
 procps,
Recommends: libnet-snmp-perl, munin-plugins-extra
Suggests:
 acpi | lm-sensors,
 ethtool,
 hdparm,
 libcrypt-ssleay-perl,
 libdbd-pg-perl,
 liblwp-useragent-determined-perl,
 libnet-irc-perl,
 libtext-csv-xs-perl,
 libwww-perl,
 libxml-simple-perl,
 logtail,
 munin,
 munin-plugins-java,
 mysql-client,
 net-tools,
 python,
 ruby,
 smartmontools (>= 5.37-6~bpo40+1),
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Replaces:
 munin-node (<<1.999.4548-3~),
 munin-plugins (<<1.999.4548-3~),
 munin-plugins-extra (<<2.0.21-1),
Breaks:
 munin-node (<<1.999.4548-3~),
 munin-plugins (<<1.999.4548-3~),
 munin-plugins-extra (<<2.0.21-1),
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
Recommends: libnet-snmp-perl
Suggests:
 conntrack,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libxml-parser-perl,
 libcache-cache-perl,
 libdbd-mysql-perl,
 libnet-dns-perl,
 python,
 ruby | ruby-interpreter,
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on. 
 .
 Creating your own plugins which are capable of extracting other system-specific 
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
Suggests: libnet-netmask-perl, python, libnet-telnet-perl
Provides: munin-plugins
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin. 
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: ${misc:Depends},
 default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
 munin-common (>= ${binary:Version}),
Provides: munin-plugins
Replaces: munin-java-plugins (<<1.999.4548-3~)
Breaks: munin-java-plugins (<<1.999.4548-3~)
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to 
 monitor Java Management Extensions (JMX). 
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 cron-daemon,
 fonts-dejavu | ttf-dejavu,
 libdate-manip-perl,
 libdigest-md5-perl,
 libfile-copy-recursive-perl,
 libhtml-template-perl,
 libio-socket-inet6-perl,
 liblog-log4perl-perl,
 librrds-perl,
 libstorable-perl,
 libtime-hires-perl,
 liburi-perl,
 munin-common (>= ${binary:Version}),
 rrdtool,
Recommends: munin-node, munin-doc, libcgi-fast-perl
Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 adduser,
 liblist-moreutils-perl,
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 adduser,
 munin-common (>= ${binary:Version}),
 munin-node,
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Breaks: munin-common (<< 2)
Replaces: munin-common (<< 2)
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1

MAKEOPTS = CONFIG=debian/Makefile.config INSTALL_PLUGINS="auto manual snmpauto contrib"

%:
	dh $@ --with systemd

override_dh_auto_build:
	# ./getversion reads RELEASE if it exists
	dpkg-parsechangelog | sed -n 's/^Version: //p' > RELEASE
	chmod 755 debian/ostype_helper
	dh_auto_build -- $(MAKEOPTS)

override_dh_auto_install:
	# Install the major munin parts into different packages
	$(MAKE) install-common-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-common

	$(MAKE) install-async-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-async

	$(MAKE) install-master-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin

	$(MAKE) install-node-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-node

	# workaround bug in upstream Makefile
	mkdir -p $(CURDIR)/debian/munin-async/var/lib
	mv $(CURDIR)/debian/munin-node/var/lib/munin-async $(CURDIR)/debian/munin-async/var/lib/munin-async

	$(MAKE) install-plugins-prime $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-plugins-core

	$(MAKE) install-plugins-java $(MAKEOPTS) \
		MANDIR=$(CURDIR)/debian/munin-doc/usr/share/man \
		DESTDIR=$(CURDIR)/debian/munin-plugins-java

	# Install apache configuration
	install -D -m0644 debian/munin.apache.conf \
		$(CURDIR)/debian/munin/etc/munin/apache.conf

	# Install apache 2.4 configuration
	install -D -m0644 debian/munin.apache24.conf \
		$(CURDIR)/debian/munin/etc/munin/apache24.conf

	# Remove default .htaccess file from installation, as we include it
	# in the default apache2/conf.d/munin configuration
	rm -v $(CURDIR)/debian/munin/var/cache/munin/www/.htaccess

	# Remove bundled VeraMono.ttf, debian gets this font from 
	# the ttf-dejavu package. http://bugs.debian.org/548508
	rm -v $(CURDIR)/debian/munin/usr/share/munin/DejaVuSans*.ttf

	# Munin::Plugins & plugins.sh go into munin-common.
	# They are used for munin-plugins-* and we don't want a whole 
	# dedicated new package (munin-plugins-common) for that. yet.
	for file in usr/share/perl5/Munin/Plugin.pm usr/share/munin/plugins/plugin.sh; do \
		mkdir -p $(CURDIR)/debian/munin-common/$$(dirname $$file) ;\
		mv $(CURDIR)/debian/munin-plugins-core/$$file \
			$(CURDIR)/debian/munin-common/$$file; \
	done

	# Install debian provided plugin configuration
	install -D -m0644 debian/plugins.conf \
		$(CURDIR)/debian/munin-node/etc/munin/plugin-conf.d/munin-node

	# Move plugins not marked "auto" "manual" or "snmpauto" to the
	# "munin-plugins-extra" package.
	mkdir -p $(CURDIR)/debian/munin-plugins-extra/usr/share/munin/plugins
	for file in $$(find debian/munin-plugins-core/usr/share/munin/plugins -type f \
		-not -name plugins.history -and -not -name plugins.sh); do \
		if ! grep -q "#%# family=\(auto\|manual\|snmpauto\)" $$file ; then \
			mv -v $$file $(CURDIR)/debian/munin-plugins-extra/usr/share/munin/plugins; \
		fi; \
	done

	rmdir $(CURDIR)/debian/munin/var/run/munin
	rmdir $(CURDIR)/debian/munin-node/var/run/munin

# "make clean" is being clever. Work around that. ;)
override_dh_auto_clean:
	dh_auto_clean -- $(MAKEOPTS) clean-node clean-master clean-plugins clean-common clean
	find plugins/javalib -name '*.class' -print0 | xargs -0 -r rm -v
	rm RELEASE -f

# Disable build tests for now
override_dh_auto_test:

=== debian/tests/control ===
Tests: run-tests
Depends: @,perl,netcat-openbsd,daemontools
Restrictions: needs-root breaks-testbed isolation-container

## munin 2.0.33

=== debian/changelog ===
munin (2.0.33-1) unstable; urgency=medium

  * New upstream release. (Closes: #856536) 

 -- Holger Levsen <holger@debian.org>  Fri, 03 Mar 2017 23:44:55 +0100

munin (2.0.32-1) unstable; urgency=medium

  * New upstream release. (Closes: #856455)

 -- Holger Levsen <holger@debian.org>  Wed, 01 Mar 2017 22:30:35 +0100

munin (2.0.31-1) unstable; urgency=medium

  * New upstream release, fixing CVE-2017-6188. (Closes: #855705)

 -- Holger Levsen <holger@debian.org>  Sat, 25 Feb 2017 23:24:27 +0100

munin (2.0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Holger Levsen <holger@debian.org>  Sat, 21 Jan 2017 12:58:51 +0100

munin (2.0.29-1) unstable; urgency=medium

  * New upstream version. (Closes: #847649, #849383)
  * Replace dependency on ttf-dejavu | fonts-dejavu with a dependency on
    fonts-dejavu-core.

 -- Holger Levsen <holger@debian.org>  Mon, 02 Jan 2017 13:20:29 +0100

munin (2.0.28-1) unstable; urgency=medium

  * New upstream version. (Closes: #846391, #598554), see upstream ChangeLog
    for details.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Dec 2016 13:15:50 +0100

munin (2.0.27-1) unstable; urgency=medium

  * New upstream version, (Closes: #767032, #768553, #825136, #834194), see
    upstream ChangeLog for details.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Oct 2016 21:59:54 +0100

munin (2.0.26-4) unstable; urgency=medium

  * Fix brown paper bag bug: set "Multi-Arch: foreign" for munin-doc.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Oct 2016 18:38:19 +0200

munin (2.0.26-3) unstable; urgency=medium

  * Add depends to lsb-base to munin and munin-async, thanks lintian.
  * Change munin-node's depends on mysql-client to default-mysql-client,
    thanks lintian.
  * Set "Multi-Arch: same" for munin-doc.
  * Remove Breaks: and Replaces: on munin* packages lower than 2.0, those are
    not even part of oldstable. Also remove all "Provides: munin-plugins"
    except one.

 -- Holger Levsen <holger@debian.org>  Wed, 19 Oct 2016 23:26:07 +0200

munin (2.0.26-2) unstable; urgency=medium

  * Fix typos in munin.NEWS and munin-node.README.Debian, thanks lintian.
  * Depend on cron | cron-daemon to list a non virtual package first, thanks
    lintian.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Sep 2016 12:13:20 +0200

munin (2.0.26-1) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Fix path and whitespace in munin-async README.
    Thanks to Francois Gouget (Closes: #798599)
  * Plugin config: Exclude /run/user from the df* plugins.
    Thanks to Jan-Philip Gehrcke (Closes: #788736)

  [ Holger Levsen ]
  * Imported new upstream release 2.0.26
  * Bump standards-version to 3.9.8, no changes necessary.
  * Fix spelling error in debian/changelog, thanks lintian.
  * Fix "FTBFS with '.' removed from perl's @INC": add patch from 
    Dominic Hargreaves to call perl with "-I.". (Closes: #835206)
  * Bump debian/compat to 9 and require debhelper >= 9.
  * Drop debian/patches/0001-http_loadtime-plugin-Fix-several-bugs.patch as it
    was merged upstream.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Sep 2016 21:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  htmldoc,
  perl,
 Build-Depends:
- debhelper (>=8),
+ debhelper (>=9),
  dh-systemd (>= 1.4),
  libmodule-build-perl,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://munin-monitoring.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/munin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/munin.git
@@ -24,7 +24,7 @@
 Depends: ${misc:Depends}, ${perl:Depends},
  gawk,
  libnet-server-perl,
- lsb-base (>= 3.2-4),
+ lsb-base (>= 4.1),
  munin-common (>= ${binary:Version}),
  munin-plugins-core,
  procps,
@@ -43,7 +43,7 @@
  logtail,
  munin,
  munin-plugins-java,
- mysql-client,
+ default-mysql-client,
  net-tools,
  python,
  ruby,
@@ -65,12 +65,8 @@
 Package: munin-plugins-core
 Provides: munin-plugins
 Replaces:
- munin-node (<<1.999.4548-3~),
- munin-plugins (<<1.999.4548-3~),
  munin-plugins-extra (<<2.0.21-1),
 Breaks:
- munin-node (<<1.999.4548-3~),
- munin-plugins (<<1.999.4548-3~),
  munin-plugins-extra (<<2.0.21-1),
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
@@ -108,7 +104,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
 Suggests: libnet-netmask-perl, python, libnet-telnet-perl
-Provides: munin-plugins
 Description: network-wide graphing framework (user contributed plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -126,9 +121,6 @@
 Depends: ${misc:Depends},
  default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
  munin-common (>= ${binary:Version}),
-Provides: munin-plugins
-Replaces: munin-java-plugins (<<1.999.4548-3~)
-Breaks: munin-java-plugins (<<1.999.4548-3~)
 Description: network-wide graphing framework (java plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -144,8 +136,9 @@
 Package: munin
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- cron-daemon,
- fonts-dejavu | ttf-dejavu,
+ lsb-base (>= 4.1),
+ cron | cron-daemon,
+ fonts-dejavu-core,
  libdate-manip-perl,
  libdigest-md5-perl,
  libfile-copy-recursive-perl,
@@ -199,6 +192,7 @@
 Package: munin-async
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
+ lsb-base (>= 4.1),
  adduser,
  munin-common (>= ${binary:Version}),
  munin-node,
@@ -217,9 +211,8 @@
 Package: munin-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${perl:Depends}, ${misc:Depends}
-Breaks: munin-common (<< 2)
-Replaces: munin-common (<< 2)
 Description: network-wide graphing framework (documentation)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	rm -v $(CURDIR)/debian/munin/var/cache/munin/www/.htaccess
 
 	# Remove bundled VeraMono.ttf, debian gets this font from 
-	# the ttf-dejavu package. http://bugs.debian.org/548508
+	# the fonts-dejavu-core package. http://bugs.debian.org/548508
 	rm -v $(CURDIR)/debian/munin/usr/share/munin/DejaVuSans*.ttf
 
 	# Munin::Plugins & plugins.sh go into munin-common.
